package adminhandler

import (
	"git.gocasts.ir/ebhomengo/niki/delivery/http_server/middleware"
	"github.com/labstack/echo/v4"
)

func (h Handler) SetRoutes(e *echo.Echo) {
	r := e.Group("/admins")

	//nolint:gocritic
	//r.POST("/", h.Add).Name = "admin-addkindboxreq"
	r.POST("/register", h.Register)
	r.POST("/login-by-phone", h.LoginByPhoneNumber)
	r.GET("/test", h.LoginByPhoneNumber, middleware.Auth(h.authSvc, h.authConfig))
	//nolint:gocritic
	//r.PATCH("/:id", h.Update).Name = "admin-updatekindboxreq"
}
